group "ProductExposureCategory.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 17 elements
Defined: | globally in fpml-reporting-5-3.xsd; see XML source
Includes: | definitions of 17 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
assetClass?, productType*, productId*, currency?, underlyingAsset?, relatedAsset*, exposureType?, indexTenor?, sector?, sectorType?, seniority?, restructuring?, couponRate?, (futuresEquivalentMonth? | priceReferenceMonth?)?, optionType?, expirationDate?

Content Model Elements (17):

  assetClass (defined in ProductExposureCategory.model group),
  couponRate (defined in ProductExposureCategory.model group),
  currency (defined in ProductExposureCategory.model group),
  expirationDate (defined in ProductExposureCategory.model group),
  exposureType,
  futuresEquivalentMonth,
  indexTenor (defined in ProductExposureCategory.model group),
  optionType (defined in ProductExposureCategory.model group),
  priceReferenceMonth,
  productId (defined in ProductExposureCategory.model group),
  productType (defined in ProductExposureCategory.model group),
  relatedAsset,
  restructuring (defined in ProductExposureCategory.model group),
  sector (defined in ProductExposureCategory.model group),
  sectorType,
  seniority (defined in ProductExposureCategory.model group),
  underlyingAsset (defined in ProductExposureCategory.model group)

Known Usage Locations

- In definitions of other model groups (1):
  ExposureCategory.model

Annotation
A group a specific set of market risk factors for which an exposure record is provided.
XML Source (w/o annotations (5); see within schema source)

<xsd:group name="ProductExposureCategory.model"> <xsd:sequence> <xsd:element minOccurs="0" name="assetClass" type="AssetClass"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productType" type="ProductType"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="productId" type="ProductId"/> <xsd:element minOccurs="0" name="currency" type="Currency"/> <xsd:element minOccurs="0" name="underlyingAsset" type="ExposureUnderlyingAsset"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedAsset" type="ExposureUnderlyingAsset"/> <xsd:element minOccurs="0" name="exposureType" type="ExposureType"/> <xsd:element minOccurs="0" name="indexTenor" type="Period"/> <xsd:element minOccurs="0" name="sector" type="Sector"/> <xsd:element minOccurs="0" name="sectorType" type="SectorType"/> <xsd:element minOccurs="0" name="seniority" type="CreditSeniority"/> <xsd:element minOccurs="0" name="restructuring" type="Restructuring"/> <xsd:element minOccurs="0" name="couponRate" type="xsd:decimal"/> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="futuresEquivalentMonth" type="YearAndMonth"/> <xsd:element minOccurs="0" name="priceReferenceMonth" type="YearAndMonth"/> </xsd:choice> <xsd:element minOccurs="0" name="optionType" type="PutCallEnum"/> <xsd:element minOccurs="0" name="expirationDate" type="xsd:date"/> <!-- <xsd:element name="strikePrice" type="xsd:decimal" minOccurs="0"/> --> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 17/17)
assetClass

  Type: | AssetClass, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="assetClass" type="AssetClass"/>

couponRate

  Type: | xsd:decimal, predefined, simple content

  Specifies the coupon rate (expressed in percentage) of a fixed income security or convertible bond.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="couponRate" type="xsd:decimal"/>

currency

  Type: | Currency, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="currency" type="Currency"/>

expirationDate

  Type: | xsd:date, predefined, simple content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="expirationDate" type="xsd:date"/>

exposureType

  Type: | ExposureType, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="exposureType" type="ExposureType"/>

futuresEquivalentMonth

  Type: | YearAndMonth, simple content

  Simple Content

  xsd:normalizedString

  Pattern: | [1-2][0-9][0-9][0-9]-[0-1][0-9]

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="futuresEquivalentMonth" type="YearAndMonth"/>

indexTenor

  Type: | Period, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="indexTenor" type="Period"/>

optionType

  Type: | PutCallEnum, simple content

  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "Put" | - | A put option gives the holder the right to sell the underlying asset by a certain date for a certain price. See: http://www.FpML.org
  "Call" | - | A call option gives the holder the right to buy the underlying asset by a certain date for a certain price. See: http://www.FpML.org

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="optionType" type="PutCallEnum"/>

priceReferenceMonth

  Type: | YearAndMonth, simple content

  Simple Content

  xsd:normalizedString

  Pattern: | [1-2][0-9][0-9][0-9]-[0-1][0-9]

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="priceReferenceMonth" type="YearAndMonth"/>

productId

  Type: | ProductId, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="productId" type="ProductId"/>

productType

  Type: | ProductType, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="productType" type="ProductType"/>

relatedAsset

  Type: | ExposureUnderlyingAsset, complex content

  This can be used to report assets that are related to this exposure, such as the asset on the other side of a basis trade.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="relatedAsset" type="ExposureUnderlyingAsset"/>

restructuring

  Type: | Restructuring, complex content

  A credit event. A restructuring is an event that materially impacts the reference entity's obligations, such as an interest rate reduction, principal reduction, deferral of interest or principal, change in priority ranking, or change in currency or composition of payment. ISDA 2003 Term: Restructuring.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="restructuring" type="Restructuring"/>

sector

  Type: | Sector, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="sector" type="Sector"/>

sectorType

  Type: | SectorType, simple content

  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="sectorType" type="SectorType"/>

seniority

  Type: | CreditSeniority, simple content

  The repayment precedence of a debt instrument.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="seniority" type="CreditSeniority"/>

underlyingAsset

  Type: | ExposureUnderlyingAsset, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="underlyingAsset" type="ExposureUnderlyingAsset"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.